<?php
/**
 * This file is part of the official Amazon Checkout extension for Magento 1.x
 *
 * (c) 2020 creativestyle GmbH. All Rights reserved
 *
 * Distribution of the derivatives reusing, transforming or being built upon
 * this software, is not allowed without explicit written permission granted
 * by creativestyle GmbH
 *
 * @category   Creativestyle
 * @package    Creativestyle_AmazonCheckout
 * @copyright  2020 creativestyle GmbH
 * @author     Marek Stefan <ticket@creativestyle.de>
 */

interface Creativestyle_AmazonCheckout_Model_Api_CheckoutSessionInterface
{
    /**
     * Return checkout session ID
     *
     * @return string
     * @api
     */
    public function getCheckoutSessionId();

    /**
     * Return buyer e-mail address
     *
     * @return string|null
     * @api
     */
    public function getBuyerEmail();

    /**
     * Return checkout billing address
     *
     * @return Creativestyle_AmazonCheckout_Model_Api_AddressInterface|null
     * @api
     */
    public function getBillingAddress();

    /**
     * Return checkout state
     *
     * @return string
     * @api
     */
    public function getState();

    /**
     * Return checkout shipping address
     *
     * @return Creativestyle_AmazonCheckout_Model_Api_AddressInterface|null
     * @api
     */
    public function getShippingAddress();

    /**
     * Return checkout payment description
     *
     * @return string|null
     * @api
     */
    public function getPaymentDescription();

    /**
     * @return string|null
     * @api
     */
    public function getAmazonPayRedirectUrl();

    /**
     * @return string|null
     * @api
     */
    public function getChargePermissionId();
}
