<?php
/**
 * This file is part of the official Amazon Checkout extension for Magento 1.x
 *
 * (c) 2020 creativestyle GmbH. All Rights reserved
 *
 * Distribution of the derivatives reusing, transforming or being built upon
 * this software, is not allowed without explicit written permission granted
 * by creativestyle GmbH
 *
 * @category   Creativestyle
 * @package    Creativestyle_AmazonCheckout
 * @copyright  2020 creativestyle GmbH
 * @author     Marek Stefan <ticket@creativestyle.de>
 */


class Creativestyle_AmazonCheckout_LoginController extends Creativestyle_AmazonCheckout_Controller_Action
{
    protected function _getLoginService()
    {
        /** @var Creativestyle_AmazonCheckout_Model_Service_Login $service */
        $service = Mage::getSingleton('amazonpay/service_login');
        return $service;
    }

    public function indexAction()
    {
        $buyerToken = $this->getRequest()->getParam('buyerToken', null);
        $customer = $this->_getLoginService()->auth($buyerToken);
        $this->_redirect('customer/account');
        return;
    }
}
